Subject: [ieee-ietf-coord] FW: [new-work] WG Review: Deterministic Networking (detnet)

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Fri, 18 Sep 2015 15:20:30 +0000

DetNet is now in IETF External Review. Please find the announcement below. 

Regards,

Dan

> -----Original Message-----
> From: new-work [mailto:[email-masked]] On Behalf Of The
> IESG
> Sent: Friday, September 18, 2015 5:52 PM
> To: [email-masked]
> Subject: [new-work] WG Review: Deterministic Networking (detnet)
> 
> A new IETF working group has been proposed in the Routing Area. The IESG
> has not made any determination yet. The following draft charter was
> submitted, and is provided for informational purposes only. Please send your
> comments to the IESG mailing list (iesg at ietf.org) by 2015-09-28.
> 
> Deterministic Networking (detnet)
> ------------------------------------------------
> Current Status: Proposed WG
> 
> Assigned Area Director:
>   Deborah Brungard <[email-masked]>
> 
> Mailing list
>   Address: [email-masked]
>   To Subscribe: https://www.ietf.org/mailman/listinfo/detnet

>   Archive: https://mailarchive.ietf.org/arch/search/?email_list=detnet

> 
> Charter:
> 
> The Deterministic Networking (DetNet) Working Group focuses on
> deterministic data paths that operate over Layer 2 bridged and Layer 3
> routed segments, where such paths can provide bounds on latency, loss, and
> packet delay variation (jitter), and high reliability. The Working Group
> addresses Layer 3 aspects in support of applications requiring deterministic
> networking. The Working Group collaborates with IEEE802.1 Time Sensitive
> Networking (TSN), which is responsible for Layer 2 operations, to define a
> common architecture for both Layer 2 and Layer 3. Example applications for
> deterministic networks include professional and home audio/video,
> multimedia in transportation, engine control systems, and other general
> industrial and vehicular applications being consider by the IEEE 802.1 TSN Task
> Group.
> 
> The Working Group will initially focus on solutions for networks that are
> under a single administrative control or within a closed group of
> administrative control; these include not only campus-wide networks but
> also can include private WANs. The DetNet WG will not spend energy on
> solutions for large groups of domains such as the Internet.
> 
> The Working Group will specify an overall architecture that encompasses the
> data plane, OAM (Operations, Administration, and Maintenance), time
> synchronization, management, control, and security aspects which are
> required to enable a multi-hop path, and forwarding along the path, with the
> deterministic properties of controlled latency, low packet loss, low packet
> delay variation, and high reliability. The work applies to point-to-point
> (unicast) and point-to-multipoint (multicast) flows which can be
> characterized in a manner that allows the network to 1) reserve the
> appropriate resources for the flows in advance, and 2) release/reuse the
> resources when they are no longer required. The work covers the
> characterization of flows, the encapsulation of frames, the required
> forwarding behaviors, as well as the state that may need to be established in
> intermediate nodes. Candidate Layer 3 data plane technologies that may be
> used, without modification, include: IP and MPLS.
> 
> The working group will document which deployment environments and
> types of topologies are within (or outside) the scope of the DetNet
> architecture. This work focuses on the data plane aspects and is independent
> from any path setup protocol or mechanism. The data plane will be
> compatible with the work done in IEEE802.1 TSN.
> 
> The Working Group's scope explicitly excludes modifications of transport
> protocols, OAM, Layer 3 forwarding, encapsulations, and control plane
> protocols.
> 
> DetNet is chartered to work in the following areas:
> 
>     Overall architecture: This work encompasses the data plane, OAM,
>     time synchronization, management, control, and security aspects.
> 
>     Data plane: This work will document how to use IP and/or MPLS to
>     support a data plane method of flow identification and packet
>     forwarding over Layer 3.
> 
>     Data flow information model: This work will identify the information
>     needed for flow establishment and control and be used by a
>     reservation protocol or by YANG data models. The work will be
>     independent from the protocol(s) used to control the flows
>     (e.g. YANG+NETCONF/RESTCONF, PCEP or GMPLS).
> 
>     Identification of additional YANG models: This work will document
>     device and link capabilities (feature support) and resources
>     (e.g. buffers, bandwidth) for use in device configuration and status
>     reporting. Such information may also be used when advertising the
>     deterministic network elements to a control plane. Control plane
>     related information will be independent from the protocol(s) which
>     may be used to advertise this information (e.g. IS-IS or GMPLS
>     extensions). Any new YANG models will be coordinated with the
>     Working Groups that define any augmented base models.
> 
>     As needed, problem statement: This effort will establish the
>     deployment environment and deterministic network requirements.
> 
>     As needed, vertical requirements: This effort will detail the
>     requirements for deterministic networks in various industries, for
>     example, professional audio, electrical utilities, building
>     automation systems, wireless for industrial applications.
> 
>     To investigate whether existing data plane encryption mechanisms can
>     be applied, possibly opportunistically, to improve security and
>     privacy.
> 
> The WG coordinates with other relevant IETF Working Groups, including
> CCAMP, PCE, PALS, TEAS, OSPF, IS-IS, TSVWG, and 6TisSCH. As the work
> progresses, requirements may be provided to the responsible Working
> Group, e.g. PCE, TEAS, and CCAMP, with DetNet acting as a focal point to
> maintain the consistency of the overall architecture. The WG will liaise with
> appropriate groups in IEEE and other Standards Development Organizations
> (SDOs).
> 
> WG deliverables include:
> 
>     As standard track or informational RFCs
> 
>     Overall architecture
>     Data plane specification
>     Data flow information model
>     YANG model augmentations
> 
> WG sustaining/informational documents may include:
> 
>     These documents may not necessarily be published, but may be
>     maintained in a draft form or on a collaborative Working Group wiki
>     to support the efforts of the Working Group and help new comers:
> 
>     Problem statement and (constrained) deployment environments
>     User-driven use cases
> 
> 
> 
> Milestones:
> 
> 
> _______________________________________________
> new-work mailing list
> [email-masked]

https://www.ietf.org/mailman/listinfo/new-work